#
# Open Motif 2.1.30 for Linux
#
Summary:  The Open Motif runtime components.
Name:  openmotif
Version:  2.1.30
Release:  3_MLI_jdk
Prefix:  /usr/X11R6
Copyright:  Copyright 2000 Integrated Computer Solutions, Inc.
Group:  User Interface/Motif
Source:  localhost:/openmotif-2.1.30-3_MLI_jdk.tar.gz
URL:  http://www.motifzone.org/
BuildRoot: /var/tmp/openmotif-buildroot
%description
The base package for the industry standard
user interface toolkit for the X Window
System as enhanced by ICS and others for
better integration with GNOME and KDE desktop
environments.  The base package consists of
the Open Motif runtime components -- 
shared libraries and mwm (Motif Window Manager).

%package devel
Prefix:  /usr/X11R6
Summary:  The Open Motif development libraries and tools.
Group:  Development/Libraries
%description devel
The development package includes all of the
Open Motif header files, archive libraries, 
the UIL (User Interface Language) compiler,
examples and ICS enhancements for greater
integration with GNOME and KDE desktop
environments.

%prep
mkdir -p ${RPM_BUILD_ROOT}%{prefix}

%install
cd ${RPM_SOURCE_DIR}
tar -zpxvf ${RPM_SOURCE_DIR}/openmotif-%{version}-%{release}.tar.gz \
	-C ${RPM_BUILD_ROOT}%{prefix}
cd ${RPM_BUILD_ROOT}%{prefix}
chown -R root:root .
chmod -R g-w .
chmod -R a+r .
ln -s libXm.so.2.1  lib/libXm.so
ln -s libMrm.so.2.1 lib/libMrm.so
ln -s libUil.so.2.1 lib/libUil.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%post devel
echo "#define TopLevelProject Motif" >> /usr/X11R6/lib/X11/config/host.def

%preun
/sbin/ldconfig

%preun devel
(cd /usr/X11R6/lib/X11/config;
 mv host.def host.def.bak;
 /bin/grep -v "TopLevelProject" host.def.bak >> host.def)

%files devel

%dir /usr/X11R6/include/Xm
%dir /usr/X11R6/include/Mrm
%dir /usr/X11R6/include/Wsm
%dir /usr/X11R6/include/uil

/usr/X11R6/include/Xm/*
/usr/X11R6/include/Mrm/*
/usr/X11R6/include/Wsm/*
/usr/X11R6/include/uil/*

/usr/X11R6/lib/libMrm.so
/usr/X11R6/lib/libUil.so
/usr/X11R6/lib/libXm.so
/usr/X11R6/lib/libMrm.a
/usr/X11R6/lib/libUil.a
/usr/X11R6/lib/libXm.a

%files

/usr/X11R6/lib/libMrm.so.2.1
/usr/X11R6/lib/libUil.so.2.1
/usr/X11R6/lib/libXm.so.2.1

